#
# spec file for package perl-Bit-Vector
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Bit-Vector
Version:        7.4
Release:        1.41
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name Bit-Vector
Summary:        Bit::Vector Perl module
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Bit-Vector/
Source0:        http://www.cpan.org/authors/id/S/ST/STBEY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         Bit-Vector-7.1.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp::Clan) >= 5.3
BuildRequires:  perl(Storable) >= 2.21
Requires:       perl(Carp::Clan) >= 5.3
Requires:       perl(Storable) >= 2.21
%{perl_requires}

%description
Bit::Vector Perl module

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Artistic.txt CHANGES.txt CREDITS.txt examples GNU_GPL.txt GNU_LGPL.txt INSTALL.txt README.txt

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 7.4
  see /usr/share/doc/packages/perl-Bit-Vector/CHANGES.txt
* Mon Jun  3 2013 coolo@suse.com
- updated to 7.3
  * Fixed t/02_____destroy.t to make it pass on perl-5.17.11
* Wed May 23 2012 coolo@suse.com
- update to 7.2
  * change boolean type
* Thu Nov 17 2011 coolo@suse.com
- use original tar
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
* Wed Jan 13 2010 anicka@suse.cz
- update to 7.1
  * Added prefix "BV_" to all global identifiers in "BitVector.c",
    "BitVector.h" and "Vector.xs"
  * Fixed a bug in "GCD2()" in "BitVector.c" with null-size vectors
  * Added more test cases for "GCD()" in "t/17_________gcd.t"
  * Almost completely rewrote "BitVector_Boot()" in "BitVector.c"
    in order to fix the problem that it calculated an unsigned
    long to have 33 bits under MacOS X (Darwin), leading to
    failing tests in "t/28___chunklist.t"
  * BEWARE that the type "ErrCode", which is part of the inter-
    face of the C library "BitVector.c", has been changed!
  * Added more tests and a debugging aid to "t/28___chunklist.t"
  * Removed the two example files showing how to freeze/thaw
    "Bit::Vector" objects using "Data::Dumper", because after
    closer inspection this proved to be a can of worms
  * Replaced "Storable::freeze()" by "Storable::nfreeze()"
  * Added more test cases for "Storable"
  * Added two example files showing how to freeze/thaw
    using "Data::Dumper"
  * Fixed the bug of "Storable" not reconstructing nested data
    structures properly which contain several references to
    the same "Bit::Vector" object
  * Fixed hard-coded table size "MASKTABSIZE" in "BitVector.c"
  * Small cosmetic fixes to the documentation
  * Replaced "STORABLE_thaw()" by "STORABLE_attach()"
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Aug  3 2009 anicka@suse.cz
- update to 6.6
  - Made the module thread-safe and MacOS X compatible
  - Added automatic support for module "Storable"
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 mjancar@suse.cz
- update to 6.4
- add perl-Carp-Clan to Requires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- use $RPM_OPT_FLAGS
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Sat Oct 12 2002 prehak@suse.cz
- update to version 6.3
- removed .txt extension from documentation files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Jan 21 2002 rvasice@suse.cz
- initial package release (version 6.1)
